import { appendToTimeSeries, createIntMetric, sendMetric } from './google-cloud-monitoring.js'
import * as fs from 'fs'

//;(async function () {
process.argv.slice(2).forEach((arg, index, array) => {
  fs.readFile(arg, 'utf8', async (error, data) => {
    if (error) {
      console.error('error while reading file ', arg, error)
      process.exit(1)
    }
    const result = JSON.parse(data)
    const test = result.test
    const timestamp = result.time
    {
      ;['median', 'max'].forEach(async (stat) => {
        if (result[stat]) {
          await appendToTimeSeries(timestamp, `${test}_${stat}`, result[stat]).then(() => {
            console.info(`reported ${stat} result for ${test} and time ${timestamp}`)
          })
        }
      })
      if (result['errors'] !== undefined && typeof result['errors'] === 'number') {
        await createIntMetric('error')
        await sendMetric(timestamp, 'error', `${test}`, { int64Value: result['errors'] })
        console.info(`reported ${result['errors']} errors for ${test} and time ${timestamp}`)
      }
    }
  })
})
//})()
